Package owl.automaton.acceptance

## Class GeneralizedRabinAcceptance.RabinPair

- java.lang.Object
- - owl.automaton.acceptance.GeneralizedRabinAcceptance.RabinPair

- Enclosing class:
    GeneralizedRabinAcceptance

      public static final class GeneralizedRabinAcceptance.RabinPair
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `contains​(BitSet indices)` |
    `boolean` | `contains​(Edge<?> edge)` |
    `boolean` | `containsInfinite​(Edge<?> edge)` | Checks whether the given edge is contained in any Inf set of this pair.
    `int` | `finSet()` |
    `void` | `forEachIndex​(IntConsumer action)` |
    `void` | `forEachInfSet​(IntConsumer action)` |
    `boolean` | `hasInfSet()` |
    `int` | `infSet()` |
    `int` | `infSet​(int number)` |
    `int` | `infSetCount()` |
    `it.unimi.dsi.fastutil.ints.IntIterator` | `infSetIterator()` |
    `boolean` | `isInfinite​(int i)` |
    `static GeneralizedRabinAcceptance.RabinPair` | `of​(int finIndex)` |
    `static GeneralizedRabinAcceptance.RabinPair` | `ofGeneralized​(int finIndex, int infSets)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static GeneralizedRabinAcceptance.RabinPair of​(@Nonnegative
                                                                int finIndex)

    - #### ofGeneralized

          public static GeneralizedRabinAcceptance.RabinPair ofGeneralized​(@Nonnegative
                                                                           int finIndex,
                                                                           @Nonnegative
                                                                           int infSets)

    - #### contains

          public boolean contains​(BitSet indices)

    - #### contains

          public boolean contains​(Edge<?> edge)

    - #### containsInfinite

          public boolean containsInfinite​(Edge<?> edge)

      Checks whether the given edge is contained in any Inf set of this pair.
      Parameters:
        `edge` - The edge to be tested.
      Returns:
        If `edge` is contained in any Inf set.
      See Also:
        `Edge.inSet(int)`

    - #### forEachIndex

          public void forEachIndex​(IntConsumer action)

    - #### forEachInfSet

          public void forEachInfSet​(IntConsumer action)

    - #### finSet

          @Nonnegative
          public int finSet()

    - #### infSet

          @Nonnegative
          public int infSet​(int number)

    - #### infSetCount

          @Nonnegative
          public int infSetCount()

    - #### hasInfSet

          public boolean hasInfSet()

    - #### infSetIterator

          public it.unimi.dsi.fastutil.ints.IntIterator infSetIterator()

    - #### isInfinite

          public boolean isInfinite​(int i)

    - #### infSet

          public int infSet()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`